#version 430 core
out vec4 color;
  
in vec2 uvCoords;

uniform sampler2D scene;
uniform sampler2D bloomBlur;

const float bloomStrength = 5.0f;

void main()
{             
    vec3 sceneColor = texture(scene, uvCoords).rgb;      
    vec3 bloomColor = texture(bloomBlur, uvCoords).rgb;
	color = vec4(sceneColor*0.8f + (bloomColor*bloomStrength), 1.0f);
}  