#version 430 core
out vec4 color;
  
in vec2 uvCoords;

uniform sampler2D image;
  
uniform vec2 direction;

void main()
{             
    vec2 pixelSize = 1.0f / vec2(textureSize(image, 0))*direction; 
    vec4 result = vec4(0.0f);
	
	//kernel = 11x11, sigma= 4.0
	result += texture(image, uvCoords)* 0.119726;
	result += texture(image, uvCoords - (pixelSize * 5))*0.055037;
	result += texture(image, uvCoords - (pixelSize * 4))*0.072806;
    result += texture(image, uvCoords - (pixelSize * 3))*0.090506;
	result += texture(image, uvCoords - (pixelSize * 2))*0.105726;
	result += texture(image, uvCoords - (pixelSize * 1))*0.116061;
	result += texture(image, uvCoords + (pixelSize * 1))*0.116061;
	result += texture(image, uvCoords + (pixelSize * 2))*0.105726;
	result += texture(image, uvCoords + (pixelSize * 3))*0.090506;
	result += texture(image, uvCoords + (pixelSize * 4))*0.072806;
	result += texture(image, uvCoords + (pixelSize * 5))*0.055037;

    color = result;
}